:root{
    --primary: #4b2a5e;
    --primary-hover: #7e57c2;
    --primary-text: white;
    --secondary-text: #cfcfcf;
    --divider: #666;
    --title-font: 'Bebas Neue';
    --card-background: rgba(255,255,255,.05);
    --button-gradient:  var(--primary), var(--primary-hover);
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
    -webkit-tap-highlight-color: transparent;
}

h1, h2, h3, h4, h5, h6{
    font-family: 'Bebas Neue';
}

h1{
    letter-spacing: 3px;
}

h2{
    letter-spacing: 2px;
}

body{
    background: #1a1a1a;
    color: var(--primary-text);
    font-family: Inter,sans-serif;
}

header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    
    margin: 0 30px;
    padding: 30px 0;
}

a{
    text-decoration: none;
    color: var(--primary-text);
}

nav{
    display: flex;
    gap: 30px;
    justify-content: center;
    align-items: center;
}

nav a:first-of-type{
    color: var(--primary-text);
    background-color: var(--primary-hover);
    padding: 15px;
    border-radius: 5px;
}

nav a:first-of-type:hover{
    transform: scale(1.05);
}

nav a{
    color: var(--secondary-text);
    transition: .25s;
    font-weight: 300;
}

nav a:hover{
    color: var(--primary-text);
    transition: .25s;
}

.logo{
    display: flex;
    gap: 10px;
    align-items: center;
}

.logo h1{
    font-family: 'Bebas Neue';
    width: 40px;
    height: 40px;
    text-align: center;
}

.logo span{
    letter-spacing: 2px;
    font-weight: 700;
}

.background{
    position: fixed;
    inset: 0;
    z-index: -2;
    background: radial-gradient(circle at top, #3d024e 0%, transparent 45%), radial-gradient(circle at bottom, #18001d 0%, transparent 50%), #090909;
}

.hero{
    width: min(900px, 90%);
    margin: 80px auto;
    text-align: center;
}

.hero h1{
    font-family: 'Bebas Neue';
    font-size: min(15vw, 80pt);
    margin-top: 30px;
}

.avatar{
    margin: auto;
    align-items: center;
    display: flex;
    overflow: hidden;
    width: 170px;
    height: 170px;
}

.avatar img{
    width: 100%;
    height: auto;
    border-radius: 50%;
    border: rgba(75, 42, 94, .25) 4px solid;
    transition: .2s;
}

.divider{
    justify-content: center;
    display: flex;
    align-items: center;
    gap: 15px;
    width: 50%;
    margin: 30px auto;
    font-family: var(--title-font);
    font-size: 30px;
}

.divider::before,
.divider::after{
    content: "";
    flex: 1;
    height: 1px;
    background: var(--divider);
}

.divider-letter{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-hover);
    width: 40px;
    height: 40px;
    text-align: center;
    margin: auto;
    border-radius: 50%;
    font-size: 100%;
    font-weight: bold;
    font-size: 20px;
    font-family: Inter,sans-serif;
}

.text-box{
    text-align: center;
    margin: 30px auto;
}

.description {
    color: #a1a1a1;
}

.hero .text-box{
    width: 60%;
}

.links{
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin: 25px;
}

.patreon-card{
    display: flex;
    background: var(--card-background);
    margin: auto;
    border-radius: 20px;
    padding: 40px;
    border: 1px rgba(255,255,255,.1) solid;
    gap: 40px;
    width: min(100%, 1000px);
}

.image-wrapper{
    perspective: 1000px;
    display: flex;
}

.patreon-card img{
    max-width: 400px;
    border-radius: 15px;
    aspect-ratio: 9 / 16; 
    object-fit: cover; 
}

.patreon-content{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 40px;
}

.button-container{
    display: flex;
    flex-direction: column;
    text-align: center;
}

.button-description{
    color: var(--secondary-text);
    margin-top: 20px;
    transition: opacity .2s ease;
}

.patreon-button{
    width: 100%;
    background-image: linear-gradient(45deg, var(--button-gradient));
    border-radius: 15px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-family: var(--title-font);
    font-size: 30px;
    letter-spacing: 1px;
    line-height: .95;
    transition: scale 0.3s ease;
}

.patreon-button:hover{
    scale: 1.02;
}

.patreon-button span{
    transition: opacity .2s ease;
}

.patreon-button:hover span{
    opacity: 0;
}

.patreon-button ion-icon{
    position: absolute;
    transition: opacity .2s ease;
    opacity: 0;
}

.patreon-button:hover ion-icon{
    scale: 1;
    opacity: 1;
}

.patreon-info{
    display: flex;
    flex-direction: column;
    padding: 0 40px 0 0;
}

.patreon-info h1{
    line-height: .95;
    box-sizing: border-box;
    font-size: 60px;
    letter-spacing: 1px;
    font-weight: bold;
    margin-bottom: 20px;
}

.patreon-benefits{
    color: var(--secondary-text);
    display: flex;
    list-style-position: inside;
    flex-direction: column;
    gap: 10px;
}

.patreon-benefits li::marker{
    content: "-";
    color: var(--primary-hover);
}

.tag{
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
    color: var(--secondary-text);
    font-weight: 100;
}

.dot{
    width: 10px;
    height: 10px;
    background-color: var(--primary-hover);
    border-radius: 50%;

}

.secondary-card{
    display: flex;
    background: var(--card-background);
    margin: auto;
    border-radius: 20px;
    padding: 32px;
    border: 1px rgba(255,255,255,.1) solid;
    width: min(100%, 1000px);
    justify-content: center;
    font-family: var(--title-font);
    font-size: 25px;
    flex-direction: column;
    text-align: center;
    cursor: pointer;
    transition: scale .3s ease;
}

.secondary-card p{
    font-family: Inter,sans-serif;
    font-size: initial;
    color: var(--secondary-text);
}

.secondary-card:hover{
    scale: .97;
}

#patreon_image{
    opacity: 1;
    transition: opacity 1s ease;
    transform-style: preserve-3d;
    box-shadow: 15px 15px 20px 0px rgba(0,0,0,.3);
}

#patreon_image.fade{
    opacity: 0;
}

@media screen and (max-width: 900px) {
    nav a{
        display: none;
    }

    .patreon-card{
        flex-direction: column;
    }

    .patreon-card img{
    max-width: 100%;
    }

}